Loading...
Searching...
No Matches
caf::infer_handle_from_class< T, bool > Struct Template Reference

Deduces actor for dynamically typed actors, otherwise typed_actor<...> is deduced. More...

`#include <infer_handle.hpp>`

## Public Types

using | type

## Static Public Attributes

static constexpr spawn_mode | mode = spawn_mode::clazz

## Related Symbols

(Note that these are not member symbols.)
template<class T>
using | infer_handle_from_class_t = typename infer_handle_from_class<T>::type

## Detailed Description

template<class T, bool = std::is_base_of<abstract_actor, T>::value>
struct caf::infer_handle_from_class< T, bool >

Deduces actor for dynamically typed actors, otherwise typed_actor<...> is deduced.

## Member Typedef Documentation

## type

template<class T, bool = std::is_base_of<abstract_actor, T>::value>

using caf::infer_handle_from_class< T, bool >::type

Initial value:
typename infer_handle_from_behavior<
typename T::behavior_type
>::type

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/infer_handle.hpp